%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-mines
Version:        40.0
Release:	%mkrel 1
Summary:	GNOME Mines Sweeper game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Mines
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(libgnome-games-support-1)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	vala-devel >= 0.16.0
Obsoletes:	gnomine
# For help
Requires:	yelp

%description
The popular logic puzzle minesweeper. Find mines on a grid
using hints from squares you have already cleared.

%prep
%setup -q

%build
%meson -Ddocs=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Mines.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mines.gschema.xml
%{_datadir}/%{name}
%{_iconsdir}/*/*/*/*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Mines.appdata.xml
%{_datadir}/help

%changelog
* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Tue Aug 04 2020 tex - 3.36.1-1pclos2020
- new version

* Sat Mar 07 2020 tex - 3.36.0-1pclos2020
- new version 3.36.0
